lastore-daemon (6.2.27) unstable; urgency=medium

  * fix: GRUB menu entries appear in English after system upgrade (#201)

 -- wangzhaohui <wangzhaohui@uniontech.com>  Fri, 15 Aug 2025 10:35:07 +0800

lastore-daemon (6.2.26) unstable; urgency=medium

  * Fixcve (#197)
  * fix: reset backup status before update source check
  * i18n: Translate locale/lastore-daemon.pot in ja (#195)

 -- wangzhaohui <wangzhaohui@uniontech.com>  Fri, 01 Aug 2025 10:35:07 +0800

lastore-daemon (6.2.25) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#190)
  * fix: 移除硬编码的公网 url (#191)
  * fix: improve rollback handling logic

 -- WuJiangYu <wujiangyu@uniontech.com>  Thu, 10 Jul 2025 20:59:29 +0800

lastore-daemon (6.2.24) unstable; urgency=medium

  * i18n: Updates for project Deepin Desktop Environment (#187)
  * fix: add security hardening flags and optimize build settings
  * fix: update error message format for disk space notifications
  * fix: update error message formatting for disk space notifications

 -- fuleyi <fuleyi@uniontech.com>  Thu, 03 Jul 2025 17:21:31 +0800

lastore-daemon (6.2.23) unstable; urgency=medium

  * refactor: streamline job creation logic in JobManager
  * fix: disable auto updates in immutable recovery mode

 -- fuleyi <fuleyi@uniontech.com>  Mon, 23 Jun 2025 17:08:48 +0800

lastore-daemon (6.2.22) unstable; urgency=medium

  * refactor: simplify version check for Community edition in
    updateLogMetaSync

 -- fuleyi <fuleyi@uniontech.com>  Fri, 20 Jun 2025 14:33:09 +0800

lastore-daemon (6.2.21) unstable; urgency=medium

  * feat: Prohibit checking for updates when automatic restore is
    enabled
  * fix: check if dpkg supports --script-ignore-error
  * feat: adapt to automatic rollback
  * i18n: Updates for project Deepin Desktop Environment (#174)

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 19 Jun 2025 09:53:13 +0800

lastore-daemon (6.2.20) unstable; urgency=medium

  * refactor: improve version comparison logic in updateLogMetaSync
  * feat: add logging functionality to Job management
  * i18n: Updates for project Deepin Desktop Environment (#166)

 -- fuleyi <fuleyi@uniontech.com>  Thu, 12 Jun 2025 20:22:13 +0800

lastore-daemon (6.2.19) unstable; urgency=medium

  * fix: 修复环境变量设置方式，确保在执行命令时正确传递环境变量

 -- zhangkun <zhangkun2@uniontech.com>  Thu, 05 Jun 2025 20:51:44 +0800

lastore-daemon (6.2.18) unstable; urgency=medium

  * fix: 解决升级过程中，磐石系统remount次数过多的问题

 -- fuleyi <fuleyi@uniontech.com>  Tue, 27 May 2025 20:18:12 +0800

lastore-daemon (6.2.17) unstable; urgency=medium

  * feat: rollback can return backup system info

 -- fuleyi <fuleyi@uniontech.com>  Thu, 08 May 2025 20:20:40 +0800

lastore-daemon (6.2.16) unstable; urgency=medium

  * chore: add transifex config file
  * fix: 更新平台仓库的组件可配置
  * fix: 解决安装时没有阻塞重启/关机的问题

 -- YeShanShan <yeshanshan@uniontech.com>  Tue, 29 Apr 2025 13:44:35 +0800

lastore-daemon (6.2.15) unstable; urgency=medium

  * fix: 更新流程优化，回滚时设置grub

 -- fuleyi <fuleyi@uniontech.com>  Tue, 22 Apr 2025 21:42:40 +0800

lastore-daemon (6.2.14) unstable; urgency=medium

  * fix: 默认走本地更新

 -- fuleyi <fuleyi@uniontech.com>  Fri, 18 Apr 2025 11:03:53 +0800

lastore-daemon (6.2.13) unstable; urgency=medium

  * feat: 适配系统检查工具，meta支持空数据
  * feat: 支持更新平台更新和ostree备份

 -- fuleyi <fuleyi@uniontech.com>  Thu, 17 Apr 2025 17:40:15 +0800

lastore-daemon (6.2.12) unstable; urgency=medium

  * feat: 更新方案变更，添加dut更新

 -- fuleyi <fuleyi@uniontech.com>  Fri, 11 Apr 2025 14:10:38 +0800

lastore-daemon (6.2.11) unstable; urgency=medium

  * feat: 适配磐石系统备份方案

 -- fuleyi <fuleyi@uniontech.com>  Fri, 28 Mar 2025 09:37:12 +0800

lastore-daemon (6.2.10) unstable; urgency=medium

  * feat: preinst不再监听更新过程
  * feat: 更新前后调用ostree的backup和deploy

 -- fuleyi <fuleyi@uniontech.com>  Wed, 05 Mar 2025 17:43:28 +0800

lastore-daemon (6.2.9) unstable; urgency=medium

  * fix: 解决系统启动时lastore的自启动的一些服务运行失败的问题
  * fix: lastore-daemon开机自启
  * fix: 更新智能镜像源地址

 -- fuleyi <fuleyi@uniontech.com>  Thu, 27 Feb 2025 19:44:02 +0800

lastore-daemon (6.2.8) unstable; urgency=medium

  * feat: ostree deploy, modify smartmirror source
  * feat: 更新方案变更，去掉dut、ab备份

 -- fuleyi <fuleyi@uniontech.com>  Thu, 20 Feb 2025 15:31:34 +0800

lastore-daemon (6.2.7) unstable; urgency=medium

  * feat: 更新方案变更，去掉dut

 -- fuleyi <fuleyi@uniontech.com>  Mon, 17 Feb 2025 14:36:36 +0800

lastore-daemon (6.2.6) stable; urgency=medium

  * fix: 修复旧版控制中心无法加入内测的问题 (linuxdeepin#129)
  * chore: remove unnecessary dbus services

 -- fuleyi <fuleyi@uniontech.com>  Fri, 18 Oct 2024 14:18:44 +0800

lastore-daemon (6.2.5) stable; urgency=medium

  * fix: Set NotifyAccess to main in lastore-daemon.service
    防止进程运行时，非主进程向 /run/systemd/notify 发送信号，导致
    lastore-daemon 未退出，被 systemd 超时 SIGKILL 掉
    https://github.com/linuxdeepin/developer-center/issues/8532

 -- Tianyu Chen <sweetyfish@deepin.org>  Mon, 13 May 2024 16:35:28 +0800

lastore-daemon (6.2.4) stable; urgency=medium

  * chore: add legacy AM daemon compat service to allowlist

 -- ComixHe <heyuming@deepin.org>  Mon, 06 Nov 2023 10:37:55 +0800

lastore-daemon (6.2.3) stable; urgency=medium

  * chore: Sync by https://github.com/linuxdeepin/.github/commit/559e91167d4919644f37bbcf123eb0651c1528ea(Influence: none)
  * chore: add launcher to uninstall whitelist
  * chore(CI): Update obs tag build workflow

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 06 Sep 2023 17:50:39 +0800

lastore-daemon (6.2.2) stable; urgency=medium

  * 修复控制中心更新系统卡死的问题

 -- myml <wurongjie@deepin.com>  Tue, 16 May 2023 16:56:00 +0800

lastore-daemon (6.2.1) stable; urgency=medium

  * 修复启动器无法卸载应用的问题

 -- myml <wurongjie@deepin.com>  Mon, 24 Apr 2023 16:37:00 +0800

lastore-daemon (6.2.0) stable; urgency=medium

  * 添加go mod支持

 -- myml <wurongjie@deepin.com>  Sun, 23 Apr 2023 14:08:00 +0800

lastore-daemon (6.1.0.0) stable; urgency=medium

  * 集成到obs构建

 -- myml <wurongjie@deepin.com>  Thu, 6 Apr 2023 14:10:00 +0800

lastore-daemon (6.0.5.1) stable; urgency=medium

  [ TagBuilder ]
  * fix: 大版本升级卡住问题(Task: 237865)(Influence: 更新)
  * fix: 修改dh配置(Bug: 183785)(Influence: 升级环境)

 -- lvpeilong <lvpeilong@uniontech.com>  Thu, 02 Feb 2023 09:43:22 +0800

lastore-daemon (6.0.4) stable; urgency=medium

  [ TagBuilder ]
  * fix: 修复处理中断错误失败的问题(Bug: 119803)(Influence: 控制中心修复中断错误)
  * fix: 修复更新内容显示异常问题(Bug: 120969)(Influence: 更新内容显示)
  * fix: 修复关闭更新选项依旧有可更新通知的问题(Bug: 122295)(Influence: 更新通知)

 -- lvpeilong <lvpeilong@uniontech.com>  Fri, 06 Jan 2023 15:46:43 +0800

lastore-daemon (6.0.3) stable; urgency=medium

  [ TagBuilder ]
  * fix: 修复lastore-daemon自动下载崩溃问题(Task: 98952)(Influence: lastore-daemon自动下载崩溃)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Wed, 04 Jan 2023 11:42:41 +0800

lastore-daemon (6.0.2) stable; urgency=medium

  [ TagBuilder ]
  * feat: 增加原子更新(Influence: 原子更新)
  * fix: 原子更新导致服务不能启动问题修复(Task: 208063)(Influence: 原子更新)
  * feat: 接口更变，增加V23接口(Task: 207483)(Influence: 接口更变)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 13 Dec 2022 19:36:36 +0800

lastore-daemon (6.0.1) stable; urgency=medium

  [ Deepin Packages Builder ]
  * lastore-daemon兼容适配(Task: 166045)(Influence: 兼容V20接口)
  * chore: 触发编译(Task: 160471)(Influence: 无)

 -- baodi <baodi@uniontech.com>  Wed, 19 Oct 2022 11:05:23 +0800

lastore-daemon (6.0.0.0) UNRELEASED; urgency=medium

  * 6.0.0.0 pre-release

 --  <tanfeng@uniontech.com>  Wed, 01 Jun 2022 11:23:02 +0800

lastore-daemon (5.4.6) stable; urgency=medium

  [ Deepin Packages Builder ]
  * fix: 修改更新失败错误记录的内容(Bug: 204029)(Influence: 更新失败错误记录)
  * fix: DistUpgradePartly默认修改grub(Bug: 204189)(Influence: 更新失败重试)

 -- Deepin Packages Builder <packages@deepin.org>  Mon, 12 Jun 2023 14:58:11 +0800

lastore-daemon (5.4.5.3) stable; urgency=medium

  [ Deepin Packages Builder ]
  * feat: 新增项目id的上报(Task: 270301)(Influence: apt上报token)
  * fix: 解析更新内容超时时间修改为120s(Influence: 解析更新内容)

 -- Deepin Packages Builder <packages@deepin.org>  Wed, 07 Jun 2023 15:00:57 +0800

lastore-daemon (5.4.5.2) stable; urgency=medium

  [ Deepin Packages Builder ]
  * chore: 更新翻译(Task: 267299)(Influence: 翻译)

 -- Deepin Packages Builder <packages@deepin.org>  Fri, 26 May 2023 15:44:50 +0800

lastore-daemon (5.4.5.1) stable; urgency=medium

  [ Deepin Packages Builder ]
  * chore: 日志输出优化(Influence: 日志)
  * chore: 修改lastore-daemon.service的标准输出(Influence: 日志)
  * fix: grub正常启动系统的title修改(Task: 267459)(Influence: grub)
  * fix: 优化grub entry的获取方式(Task: 267459)(Influence: grub)
  * feat: 优化日志输出(Influence: 日志)
  * feat: 增加CanUpgrade状态变化相关日志输出(Influence: 日志)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 25 May 2023 14:19:35 +0800

lastore-daemon (5.4.4.1) stable; urgency=medium

  [ Deepin Packages Builder ]
  * feat: 优化可更新条件判断(Influence: 可更新条件判断)
  * fix: 优化空间不足下载逻辑(Bug: 199289)(Influence: 空间不足下载)
  * feat: 增加备份失败的记录(Bug: 199317)(Influence: 备份失败)
  * feat: 增加对未激活限制(Bug: 199527)(Influence: 激活限制)

 -- Deepin Packages Builder <packages@deepin.org>  Thu, 11 May 2023 14:44:36 +0800

lastore-daemon (5.4.4) stable; urgency=medium

  [ Deepin Packages Builder ]
  * feat(apt): apt上报token数据中新增model name字段信息(Task: 46922)
  * fix: 切换语言时安装语言包失败(Bug: 56544)
  * feat(daemon): 增加对于分类更新的支持(Task: 49194)
  * feat(daemon): 增加系统更新与应用更新之间的联动(Task: 6763)
  * fix(daemon): 安装更新失败(Bug: 57557)
  * fix(lastore): 修复系统更新包含更新lastore-daemon时,更新任务状态错误问题(Bug: 58247)
  * fix(lastore): 修复频繁点击检查更新时,出现更新失败的问题(Bug: 58663, 59351)
  * fix(mirrors): 修复智能镜像源列表中缺少deepines源的问题(Bug: 59648)
  * fix(lastore): 修复1030升级到1031后,关闭检查更新但是应用商店更新开关打开的问题(Bug: 60079)
  * fix(lastore): 修复在系统更新时,未关机阻塞的问题(Bug: 60436)
  * fix(daemon): 修正使用 deepin-turbo 时的路径识别错误(Bug: 61730)
  * fix(lastore): 社区版不收集应用安装卸载信息(Task: 8885)
  * fix(lastore): 修复打印管理器无法自动添加打印设备问题(Bug: 62721)
  * fix(apt): 修复手动使用apt命令更新与lastore-daemon自动下载冲突的问题(Bug: 60666)
  * feat(lastore): 完善更新提醒的逻辑(Task: 62297)
  * chore(lastore): 去除对custom-update命令的使用,改用apt原生命令参数(Task: 62457)
  * feat(lastore): 删除自动检查更新和更新选项之间的关联(Task: 62297)
  * chore(lastore): 修改手动检查更新时通知的逻辑(Task: 62297)
  * chore: 减少链接的共享库(Bug: 64252)
  * fix(lastore): 修复升级再还原后更新失败的问题(Bug: 65419)
  * feat(lastore): 系统更新会将所有非商店与安全更新的源进行更新(Task: 49194)
  * fix: 修复垃圾清理未清理指定路径缓存包(Bug: 68539)
  * fix: 修复包已经最新,但是检查更新仍有显示的问题(Bug: 67914)
  * fix: 修复回退系统后不能检查到更新内容的问题(Bug: 68429)
  * fix: 修复applications.json在系统安装后未更新到最新的问题(Bug: 72901)
  * fix: 修复控制中心以及lastore-tools被更新后,检查更新失败的问题(Bug: 69474)
  * feat(lastore): 增加系统更新时待机和休眠的阻塞(Task: 63589)
  * fix: 修复检查更新显示完成,但是实际没有将数据同步到硬盘的问题(Bug: 74775)
  * fix: 修复自动下载更新时,控制中心获取的应用下载信息为空的问题(Bug: 79394)
  * feat: allow install/remove package if uid is 0(Bug: 19886)
  * chore: 更新 applications.json 文件(Bug: 86214)
  * fix: 修复1040新装系统无法自动安装uos-release-note的问题(Task: 79787)
  * fix: 修复断网情况下检查更新,会不断跳转到下载界面的问题(Bug: 88117)
  * fix: 将ReadyStatus状态下的处理移出(Bug: 89036, 88117)
  * chore: 单元测试用testify判断err的语法优化(Task: 79863)
  * refactor: 替换vendor中的fsnotify依赖,保持和dde-daemon一致(Task: 85110)
  * chore: 删除vendor中的部分第三方依赖,在control文件中添加编译依赖(Task: 85110)
  * chore: 将pkg_recommend包从vendor移出(Task: 85110)
  * refactor: 将cihub/seelog包从vendor中移除(Task: 85110)
  * chore: 将apcera/termtables包从vendor中移除(Task: 85110)
  * test: 增加internal/querydesktop模块单元测试(Task: 79863)
  * chore: 修改编译依赖(Task: 85110)
  * chore: 清理lastore-daemon警告(Task: 79863)
  * refactor: 替换废弃接口(Task: 85110)
  * feat: 增加分类安装更新的功能(Task: 82412)(Influence: 可以根据更新配置,分类安装更新)
  * feat: 自动下载默认关闭,将默认配置修改为文件(Task: 83867)(Influence: 控制中心-更新-自动下载 默认关闭)
  * feat: 增加仅安全更新的功能(Task: 82412)(Influence: 控制中心-更新-仅安全更新)
  * feat: 增加可配置的自动安装更新功能(Task: 86351)(Influence: 控制中心-自动检查更新-自动下载更新-自动安装更新)
  * fix: 修复不同仓库包含相同源创建任务失败的问题(Task: 82416)(Influence: 控制中心-更新-下载)
  * feat: 区分下载和下载并安装任务(Task: 86323)(Influence: 控制中心-更新-通知)
  * feat: 添加登录客户端至白名单，实现登录客户端自更新(Task: 88466)(Influence: 控制中心-UnionID-登录客户端)
  * feat: 新增系统信息和更新信息上报(Task: 86353)(Influence: 控制中心-更新-检查更新/系统更新)
  * feat: 关闭 GO111MODULE 选项(Task: 90210)(Influence: 高版本 golang 编译)
  * fix: 修复仅安全更新时,显示未知来源更新项的问题(Bug: 101513)(Influence: 控制中心-更新-仅安全更新)
  * fix: 修改99lastore-token.conf数据获取过程中错误处理方式(Task: 79863)(Influence: 开机启动60s后,/etc/apt/apt.conf.d/99lastore-token.conf文件)
  * fix: 修复关机/待机阻塞文案错误问题(Task: 79863)(Influence: 控制中心-更新-安装更新)
  * fix: 新增仅安全更新类别,之前版本安全更新类别废弃(Task: 79863)(Influence: 旧版本升级,控制中心-更新-默认更新类别)
  * feat: 更换更新完成后的状态上报方式(Task: 86353)(Influence: 控制中心-更新-检查更新/系统更新)
  * fix: 修改仅安全更新对应的list文件(Bug: 105337)(Influence: 更新设置-仅安全更新)
  * fix: 修改自动安装类型的默认值(Bug: 105461)(Influence: 更新设置-自动安装更新)
  * feat: 上报系统更新数据控制可配置(Task: 91881)(Influence: 系统更新-数据上报AllowPostSystemUpgradeMessageVersion字段)
  * chore: change pkg.deepin.io to github.com(Task: 79863)(Influence: no)
  * chore: 修改debian/control依赖(Task: 79863)(Influence: no)
  * fix: 修复update_infos.json文件内容为null时崩溃问题(Task: 79863)(Influence: 控制中心-更新-检查更新/系统更新)
  * feat: 移除应用更新相关内容(Task: 94847)(Influence: 控制中心-更新)
  * fix: 处理升级后未重启时兼容问题(Task: 79863)(Influence: 控制中心-更新-检查更新/系统更新)
  * fix: 修复可更新内容无法刷新问题(Bug: 109719)(Influence: 控制中心-检查更新)
  * fix: 回退系统时,阻止自动安装更新(Bug: 109993)(Influence: 回退系统-阻止自动更新)
  * fix: 修改自动清理缓存机制(Bug: 103360, 35047)(Influence: 自动清理更新缓存)
  * fix: 修复系统更新失败时,上报成功信息的问题(Influence: 系统更新-上报数据)
  * feat: 变更数据上报接口(Task: 97277)(Influence: 系统更新-数据上报)
  * fix: 修复无更新内容时,可更新包属性未刷新问题(Bug: 109719)(Influence: 控制中心-检查更新)
  * feat: 变更数据上报接口(Task: 97277)(Influence: 系统更新-数据上报)
  * feat: 增加oem文件校验(Task: 97277)(Influence: 系统更新-数据上报)
  * feat: 变更数据上报密钥(Task: 97277)(Influence: 系统更新-数据上报)
  * feat: 未知来源更新移除驱动仓库(Task: 98130)(Influence: 未知来源更新)
  * feat: 更新完成上报数据增加仓库地址(Task: 99730)(Influence: 灰度更新数据上报)
  * fix: 编译选项安全加固(Bug: 114173)(Influence: 安全编译)
  * fix: 修改安全选项(Bug: 114173)(Influence: 安全编译)
  * feat: lastore-daemon修改为按需启动(Task: 98952)(Influence: lastore-daemon空闲时可自动退出)
  * feat: 修改仓库联动逻辑(Task: 101238)(Influence: 关闭仅安全更新)
  * fix: 修复依赖时避免卸载dde(Bug: 117735)(Influence: 修复依赖)
  * fix: 修复lastore-daemon自动下载崩溃问题(Task: 98952)(Influence: lastore-daemon自动下载崩溃)
  * fix: 修复处理中断错误失败的问题(Bug: 119803)(Influence: 控制中心修复中断错误)
  * fix: 修复更新内容显示异常问题(Bug: 120969)(Influence: 更新内容显示)
  * fix: 修复关闭更新选项依旧有可更新通知的问题(Bug: 122295)(Influence: 更新通知)
  * test: 增加更新模块按需启动单元测试(Task: 104973)(Influence: 单元测试)
  * fix: 检查更新后，更新下一次自动更新的systemd单元(Bug: 122839)(Influence: 自动检查更新)
  * feat: 检查更新前，删除lists和archives中的partial文件(Task: 113995)(Influence: 检查更新)
  * feat: 更新后上报系统版本号(Task: 114017)(Influence: 上报更新数据)
  * fix: 修复7天自动检查更新只会执行一次的问题(Bug: 122839)(Influence: 自动检查更新)
  * fix: 将更新自动检查更新timer处理放到协程中(Bug: 122839)(Influence: 自动检查更新)
  * feat: 上报的版本号增加MajorVersion和OsBuild(Task: 114017)(Influence: 灰度平台数据上报)
  * feat: 新增oemid和Machine model上报更新平台(Task: 175027)(Influence: apt上报)
  * feat: 导出机器码(Task: 174017)(Influence: 无)
  * fix: 修复apt上报字段key错误问题(Bug: 152909)(Influence: apt 上报数据)
  * fix: 删除partial文件夹修改为移除文件夹内容(Bug: 154249)(Influence: 检查更新)
  * fix: 修复watchUpdateInfo.path触发频率过高导致报错问题(Bug: 159517, 156721)(Influence: 报错日志)
  * fix: 修复下载或安装时偶然触发检查更新问题(Bug: 155447)(Influence: 检查更新)
  * fix: 控制中心无法接收内测源更新,移除相关提交(Bug: 152451)(Influence: 更新)
  * chore: add license information(Task: 185215)(Influence: none)
  * chore: 更新翻译(Task: 202015)(Influence: 通知提示)
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/6fbf8e00b96efe3fd50deef879f6679b80fa59a8(Influence: none)
  * fix: 修复上报更新平台信息无失败日志的问题(Bug: 168719)(Influence: 上报数据)
  * feat: 添加内测源到默认的系统更新(Influence: 控制中心更新 系统更新 内测更新)
  * feat: 格式化代码(Influence: 控制中心更新 系统更新 内测更新)
  * feat: 增加hwe仓库(Task: 212753)(Influence: hwe仓库判断)
  * fix: 修复内测源被识别为第三方仓库(Bug: 172585)(Influence: 系统更新 内测源更新)
  * chore: Sync by https://github.com/linuxdeepin/.github/commit/6aa579e31cc66ec92da0523a11b7f638f668833b(Influence: none)
  * feat: 增加注册/注销agent接口(Task: 214983)(Influence: 增加agent机制)
  * fix: 增加部分注释以及修改部分代码位置(Task: 216571)(Influence: 注释和代码位置)
  * feat: 增加闲时下载时间区间(Task: 214985)(Influence: 闲时自动下载)
  * feat: 新增系统更新的处理逻辑,用于适配关机更新(Task: 214995)(Influence: 系统更新)
  * feat: 移除自动安装,旧逻辑（分类安装）兼容(Task: 214991)(Influence: 105x版本兼容)
  * feat: 修改oemid获取方式(task: 218349)(Influence: apt上报字段)
  * feat: 自动检查更新随机延迟并更新token文件内容(Task: 214987)(Influence: 检查更新)
  * feat: 所有配置迁移至DSettings(Task: 214989)(Influence: lastore配置)
  * feat: 更新通知由lastore-daemon主动发(Task: 219769)(Influence: 更新通知)
  * feat: 新增NeedDownloadSize属性(Task: 225107)(Influence: 属性导出)
  * feat: 根据联调反馈,修改逻辑(Task: 212901)(Influence: 更新属性)
  * feat: 新增下载速度限制(Task: 212901)(Influence: 下载限速)
  * feat: 新增dconfig字段LastoreDaemonStatus(Task: 212901)(Influence: 能否更新)
  * feat: 新增PackagesSize接口,用于获取本次更新包大小(Task: 212901)(Influence: 更新包总量大小)
  * feat: 更新失败通知完善(Task: 212901)(Influence: 更新失败通知完善)
  * fix: 修复限速功能导致job失败或状态异常的问题(Task: 212901)(Influence: 下载限速)
  * fix: 修复下载量计算错误问题(Task: 212901)(Influence: 下载量)
  * feat: 新增更新禁用功能(Task: 212901)(Influence: 更新禁用)
  * feat: SetDownloadSpeedLimit 接口增加防抖功能(Task: 212901)(Influence: 性能优化)
  * fix: 修复agent权限失效和恢复失效问题(Task: 212901)(Influence: 性能优化)
  * feat: 新增下载前空间检查(Task: 212901)(Influence: 空间检查)
  * fix: 修复联调错误(Task: 212901)(Influence: 修复错误)
  * fix: 根据review意见修复(Task: 212901)(Influence: 优化)
  * fix: 默认值根据需求文档修改(Task: 212901)(Influence: 默认值)
  * feat: 检查更新增加代理环境变量(Task: 212883)(Influence: 默认值)
  * feat: SetIdleDownloadConfig增加1s防抖(Task: 212901)(Influence: 优化)
  * feat: 移除下载完成时计算包的大小(Task: 212901)(Influence: 下载完成状态)
  * feat: 新增因空间不足下载失败提示和电源不满足时的提示(Task: 212901)(Influence: 通知)
  * feat: 可安装的通知修改点击事件响应(Task: 212901)(Influence: 更新通知)
  * feat: 增加更新埋点(Task: 212925)(Influence: 增加更新埋点)
  * fix: 修复检查更新后canUpgrade状态错误问题(Influence: 是否可更新)
  * fix: 修复安装更新后"lastore-daemon-status"状态未更新问题(Bug: 188011)(Influence: 配置状态)
  * fix: 修复更新失败后重启,更新服务无法启动问题(Bug: 188071)(Influence: 更新服务初始化)
  * fix: 修复关闭自动下载时控制中心检查更新会发通知问题(Bug: 188033)(Influence: 检查更新通知)
  * fix: 旧配置为仅安全更新时更新配置为安全更新(Influence: 版本兼容)
  * fix: 关闭自动下载时同步关闭闲时下载(Bug: 188223)(Influence: 闲时下载)
  * fix: 优化闲时下载时间计算方式(Bug: 188215)(Influence: 闲时下载)
  * fix: 增加RemoveAllHandlers调用前的判空(Bug: 188459)(Influence: 代码判空)
  * fix: 控制中心触发下载不发空间不足的通知(Bug: 188907)(Influence: 通知)
  * fix: 修复online检查timer在手动检查后没有退出的问题(Bug: 188871)(Influence: timer管控)
  * fix: 修改无法回滚时的通知消息(Bug: 188637)(Influence: 更新失败通知横幅)
  * fix: 修复下载路径无权限写入时控制中心提示错误问题(Bug: 188619)(Influence: 错误提示)
  * fix: 修复下载deb空间不足时通知异常问题(Bug: 188555)(Influence: 下载失败通知)
  * fix: 修复update无空间写入时控制中心提示错误问题(Bug: 188619)(Influence: 错误提示)
  * fix: 修复自动下载过程中的通知没有立即查看按钮的问题(Bug: 188225)(Influence: 自动下载通知横幅)
  * fix: 优化任务队列的顺序(Bug: 188273)(Influence: 任务队列)
  * chore: 闲时下载默认关闭(Bug: 189069, 189067)(Influence: 默认配置)
  * fix: 修复低电量通知会重复发出的问题(Bug: 188425, 188415)(Influence: 更新过程低电量)
  * feat: 在下载时,不触发检查更新(Bug: 188273)(Influence: 更新通知)
  * fix: 修正计算包大小的参数错误问题(Influence: 包大小计算)
  * feat: 统一修改更新通知文案和发送时机(Task: 212901)(Influence: 更新通知)
  * feat: 增加空间不足导致检查更新失败的通知(Bug: 189233)(Influence: 更新通知)
  * fix: QueryPackageDownloadSize修改错误返回(Influence: 包大小计算)
  * feat: 适配可分别勾选更新内容的后台更新和模态更新(Task: 251749)(Influence: 后台更新)
  * feat: 新增安装错误提示通知(Task: 251749)(Influence: 安装错误提示通知)
  * refactor: 将grub,埋点相关处理和离线的systemd操作独立(Task: 251749)
  * feat: 旧接口安装和下载以及自动下载时对选中项进行过滤(Task: 251749)(Influence: 后台更新)
  * feat: 新增更新通知文案(Task: 251749)(Influence: 更新通知)
  * fix: 修复联调问题(Task: 251749)(Influence: 更新问题)
  * chore: 翻译通知文案(Task: 251749)(Influence: 翻译)
  * feat: 处理多仓库有相同包且版本不同的情况(Task: 259753)(Influence: 多仓库有相同包且版本不同)
  * fix: 处理选中项已经更新完被隐藏时导致的更新状态异常问题(Bug: 196291, 196381)(Influence: 多次单项更新)
  * fix: 处理第三方仓库隐藏后打开场景(Task: 260263)(Influence: 第三方仓库隐藏后打开场景)
  * feat: 优化多仓库下载进度条(Task: 259753)(Influence: 多仓库下载进度条)
  * fix: 修复系统可否更新判断错误(Task: 259753)(Influence: 系统可否更新)
  * fix: 修正错误提示判断(Bug: 196563)(Influence: 通知)
  * fix: 修正下载暂停的情况(Task: 260263)
  * fix: 解决注销时lastore-daemon崩溃问题(Bug: 196619)(Influence: 更新暂停后注销)
  * feat: 只有系统更新时,才处理deepin-desktop-base包(Task: 260263)(Influence: base包的控制)
  * fix: 修复关机阻塞无法解除问题(Bug: 196537)(Influence: 关机阻塞)
  * fix: 更新完成后重启将状态修改为NoUpdate(Bug: 196249)(Influence: 更新提醒)
  * fix: 修复终止下载状态异常问题(Bug: 196547)(Influence: 终止下载)
  * fix: 解决注销时lastore-daemon崩溃问题(Bug: 196619)(Influence: 更新暂停后注销)
  * fix: 下载时断网，点击重试按钮状态错误(Bug: 196523)(Influence: 点击重试按钮的场景)
  * fix: 优化更新状态切换(Bug: 197131)(Influence: 下载)
  * fix: 移除update_info生成脚本对于apt-get进程的判断(Bug: 197055)(Influence: 检查更新)
  * fix: 处理备份失败后继续更新场景(Bug: 197379)(Influence: 继续更新)
  * fix: 修改重试参数(Bug: 197355)(Influence: 重试机制)
  * fix: 解决备份状态无法同步到每个更新内容的问题(Bug: 197127)(Influence: 安装和下载同时进行)
  * chore: 解析更新信息时间延长至30s(Influence: 检查更新)
  * fix: 优化更新项状态迁移逻辑(Influence: 更新状态)
  * fix: 优化下载取消再下载的场景(Influence: 连续下载和取消下载)
  * fix: 优化下载和安装并行时更新项状态迁移逻辑(Influence: 更新状态)
  * fix: 修改立即更新的触发响应(Bug: 198309)(Influence: 更新)
  * fix: 优化备份和下载同时触发场景(Influence: 更新)
  * fix: 优化下载失败和下载同时触发场景(Influence: 更新)
  * fix: 处理语言环境变量错误问题(Bug: 198609)(Influence: 更新通知)
  * fix: 处理关闭闲时下载场景(Bug: 198819)(Influence: 关闭闲时下载)

 -- Deepin Packages Builder <packages@deepin.org>  Sat, 06 May 2023 11:21:27 +0800

lastore-daemon (0.9.18.6) stable; urgency=low

  * Rebuild Version 0.9.18.6 

 -- TagBuilder <tagbuilder@deepin.com>  Wed, 22 Jun 2016 01:18:35 +0000

lastore-daemon (0.9.18.6-3) stable; urgency=low

  * Rebuild Version 0.9.18.6 

 -- TagBuilder <tagbuilder@deepin.com>  Tue, 21 Jun 2016 12:42:57 +0000

lastore-daemon (0.9.18.6-2) stable; urgency=low

  * Rebuild Version 0.9.18.6 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 17 Jun 2016 09:19:00 +0000

lastore-daemon (0.9.18.6-1) stable; urgency=low

  * Autobuild Tag 0.9.18.6 

 -- TagBuilder <tagbuilder@deepin.com>  Fri, 17 Jun 2016 03:13:30 +0000

lastore-daemon (0.9.18.5-1) stable; urgency=low

  * Autobuild Tag 0.9.18.5 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 31 May 2016 05:54:21 +0000

lastore-daemon (0.9.18.4-4) stable; urgency=low

  * Rebuild Version 0.9.18.4 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 17 May 2016 10:17:40 +0000

lastore-daemon (0.9.18.4-3) stable; urgency=low

  * Rebuild Version 0.9.18.4 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 17 May 2016 10:09:34 +0000

lastore-daemon (0.9.18.4-2) stable; urgency=low

  * Rebuild Version 0.9.18.4 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 17 May 2016 09:50:05 +0000

lastore-daemon (0.9.18.4-1) stable; urgency=low

  * Autobuild Tag 0.9.18.4 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 17 May 2016 09:32:30 +0000

lastore-daemon (0.9.18.3-3) stable; urgency=low

  * Rebuild Version 0.9.18.3 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 21 Apr 2016 14:30:57 +0000

lastore-daemon (0.9.18.3-2) stable; urgency=low

  * Rebuild Version 0.9.18.3 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 21 Apr 2016 09:39:11 +0000

lastore-daemon (0.9.18.3-1) stable; urgency=low

  * Autobuild Tag 0.9.18.3 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 13 Apr 2016 17:34:19 +0000

lastore-daemon (0.9.18.2-2) stable; urgency=low

  * Rebuild Version 0.9.18.2 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Wed, 30 Mar 2016 14:00:30 +0000

lastore-daemon (0.9.18.2-1) stable; urgency=low

  * Autobuild Tag 0.9.18.2 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Fri, 25 Mar 2016 11:06:06 +0000

lastore-daemon (0.9.18-1) unstable; urgency=low

  * Autobuild Tag 0.9.18 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 01 Mar 2016 14:38:46 +0000

lastore-daemon (0.9.17-2) unstable; urgency=low

  * Rebuild Version 0.9.17 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 23 Feb 2016 17:31:10 +0000

lastore-daemon (0.9.17-1) unstable; urgency=low

  * Autobuild Tag 0.9.17 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 23 Feb 2016 17:11:50 +0000

lastore-daemon (0.9.16-1) unstable; urgency=low

  * Autobuild Tag 0.9.16 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 07 Jan 2016 11:27:42 +0000

lastore-daemon (0.9.15-1) unstable; urgency=low

  * Autobuild Tag 0.9.15 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Thu, 31 Dec 2015 11:16:51 +0000

lastore-daemon (0.9.14-1) unstable; urgency=low

  * Autobuild Tag 0.9.14 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 29 Dec 2015 17:30:04 +0000

lastore-daemon (0.9.13-1) unstable; urgency=low

  * Autobuild Tag 0.9.13 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 29 Dec 2015 11:30:56 +0000

lastore-daemon (0.9.12-2) unstable; urgency=low

  * Rebuild Version 0.9.12 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 29 Dec 2015 09:52:40 +0000

lastore-daemon (0.9.12-1) unstable; urgency=low

  * Autobuild Tag 0.9.12 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 29 Dec 2015 09:04:10 +0000

lastore-daemon (0.9.10-1) unstable; urgency=low

  * Autobuild Tag 0.9.10 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 28 Dec 2015 15:27:50 +0000

lastore-daemon (0.9.9-2) stable; urgency=low

  * Rebuild Version 0.9.9 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 28 Dec 2015 15:08:18 +0000

lastore-daemon (0.9.9-1) stable; urgency=low

  * Autobuild Tag 0.9.9 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Mon, 28 Dec 2015 09:00:37 +0000

lastore-daemon (0.9.8-1) stable; urgency=low

  * Autobuild Tag 0.9.8 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Fri, 25 Dec 2015 12:14:19 +0000

lastore-daemon (0.9.7-1) stable; urgency=low

  * Autobuild Tag 0.9.7 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 22 Dec 2015 19:48:08 +0000

lastore-daemon (0.9.6-1) stable; urgency=low

  * Autobuild Tag 0.9.6 

 -- TagBuilder <tagbuilder@linuxdeepin.com>  Tue, 22 Dec 2015 17:33:02 +0000

lastore-daemon (0.9.5-1) stable; urgency=low

  * Autobuild Tag 0.9.5 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Fri, 18 Dec 2015 07:19:45 +0000

lastore-daemon (0.9.4-1) stable; urgency=low

  * Autobuild Tag 0.9.4 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Tue, 15 Dec 2015 17:24:28 +0000

lastore-daemon (0.9.3-1) stable; urgency=low

  * Autobuild Tag 0.9.3 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Tue, 15 Dec 2015 14:02:58 +0000

lastore-daemon (0.9.2-1) stable; urgency=low

  * Autobuild Tag 0.9.2 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Mon, 14 Dec 2015 16:02:09 +0000

lastore-daemon (0.9.1-1) stable; urgency=low

  * Autobuild Tag 0.9.1 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 09 Dec 2015 23:10:54 +0000

lastore-daemon (0.9.0-1) stable; urgency=low

  * Autobuild Tag 0.9.0 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 09 Dec 2015 09:12:31 +0000

lastore-daemon (0.8.9-1) stable; urgency=low

  * Autobuild Tag 0.8.9 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Mon, 07 Dec 2015 12:22:09 +0000

lastore-daemon (0.8.8-1) stable; urgency=low

  * Autobuild Tag 0.8.8 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Wed, 25 Nov 2015 11:12:57 +0000

lastore-daemon (0.8.7-1) stable; urgency=low

  * Autobuild Tag 0.8.7 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Tue, 24 Nov 2015 15:11:36 +0000

lastore-daemon (0.8.6-1) stable; urgency=low

  * Autobuild Tag 0.8.6 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Mon, 23 Nov 2015 10:43:04 +0000

lastore-daemon (0.8.5-1) stable; urgency=low

  * Autobuild Tag 0.8.5 

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Mon, 23 Nov 2015 08:46:21 +0000

lastore-daemon (0.1) UNRELEASED; urgency=medium

  * package lastore-daemon
  * fix progress value
  * emit Manager.ListJob changed signal
  * refine internal logical
  * sort JobList
  * add SystemArchitecture

 -- TagBuilder <tabbuilder@linuxdeepin.com>  Thu, 20 Aug 2015 15:02:24 +0800
